#! /bin/bash

# Create repository, at $repopath aka $repourl.
# This bug is only reproducable using HTTP, so you will need Apache set up.
#
# The "rm -rf" line is commented out for safety; feel free to uncomment it
# if you want to run this script repeatedly
repopath=/srv/svn/foobar
repourl=http://localhost/svn/foobar
#rm -rf $repopath
svnadmin create $repopath
chmod -R a+rwx $repopath

# Write a pre-revprop-change hook that always succeeds
echo '#! /bin/bash' >$repopath/hooks/pre-revprop-change
chmod a+rx $repopath/hooks/pre-revprop-change

svn propset TESTPROP --revprop -r0 OLDVAL $repourl

# Write a pre-revprop-change hook that always fails, with the
# new prop value in the error message.
echo '#! /bin/bash' >$repopath/hooks/pre-revprop-change
echo 'echo Hook script called 1>&2' >>$repopath/hooks/pre-revprop-change
echo 'cat 1>&2' >>$repopath/hooks/pre-revprop-change
echo 'echo 1>&2' >>$repopath/hooks/pre-revprop-change
echo 'echo Hook script finished 1>&2' >>$repopath/hooks/pre-revprop-change
echo 'exit 1' >>$repopath/hooks/pre-revprop-change
chmod +x $repopath/hooks/pre-revprop-change

echo '================='
svn propset TESTPROP --revprop -r0 NEWVAL $repourl

# Expected output:
#   [...]
#   =================
#   [... other error messages snipped ...]
#   Hook script called
#   NEWVAL
#   Hook script finished
#
# Actual output:
#   [...]
#   =================
#   [... other error messages snipped ...]
#   Hook script called
#   OLDVAL
#   Hook script finished



